Produtos
Update a product
PATCH
/
v1
/
products
/
{id}
Update a product
curl --request PATCH \
--url https://api4.kinbox.com.br/v1/products/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"price": 123,
"externalId": "<string>",
"isActive": true,
"customFields": {}
}
'import requests
url = "https://api4.kinbox.com.br/v1/products/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"price": 123,
"externalId": "<string>",
"isActive": True,
"customFields": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
price: 123,
externalId: '<string>',
isActive: true,
customFields: {}
})
};
fetch('https://api4.kinbox.com.br/v1/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"price": 123,
"customFields": {},
"description": "<string>",
"externalId": "<string>",
"isActive": true
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
The name of the product.
The description of the product.
The price of the product.
The external id of the product that can be used to sync with other systems.
Whether the product is active and selectable in CRM deals. Inactive products are hidden from regular members but preserved for sales history.
Show child attributes
Show child attributes
Response
200 - application/json
The name of the product.
The price of the product.
Show child attributes
Show child attributes
The description of the product.
The external id of the product that can be used to sync with other systems.
Whether the product is active and selectable in CRM deals. Inactive products are hidden from regular members but preserved for sales history.
⌘I
Update a product
